afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## house_arrest_client_start_service()

LIBIMOBILEDEVICE_API house_arrest_error_t house_arrest_client_start_service | ( | idevice_t | device,
|  | house_arrest_client_t * | client,
|  | const char * | label )

Starts a new house_arrest service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated house_arrest_client_t upon successful return. Must be freed using house_arrest_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  HOUSE_ARREST_E_SUCCESS on success, or an HOUSE_ARREST_E_* error code otherwise.